# Mir - Wayland compositor

**Mir** is set of libraries for building Wayland based shells. Mir 
simplifies the complexity that shell authors need to deal with: it
provides a stable, well tested and performant platform with touch,
mouse and tablet input, multi-display capability and secure 
client-server communications.

Mir deals with the bringup and configuration of a broad array of
graphics and input hardware, abstracts hardware differences away
from shell authors (transparently dealing with hardware quirks) and
integrates with system components such as greeters.

Window management is integrated into Mir with useful default behaviour
and is extremely customisable by shell authors using a simple high-level
API.

## License
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License version 2 or 3 as
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

## Resources
The Mir project website is <http://mir-server.io/>,
the code is [hosted on GitHub](https://github.com/MirServer)

For announcements and other discussions on Mir see:
[Mir on community.ubuntu](https://community.ubuntu.com/c/mir)

For other questions and discussion about the Mir project:
the [\#mirserver](https://web.libera.chat/?channels=#mir-server) IRC channel on Libera.Chat.

For developer documentation, including installation and build instructions,
see <https://canonical-mir.readthedocs-hosted.com>.

# Copyright
Copyright © Canonical Ltd.